/* Min-Width Properties */
@media (min-width: 1990px) {
    .catalog-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        -ms-grid-columns: 1fr 1fr 1fr 1fr 1fr;
    }

    .category-block {
        min-height: 350px;
    }
}

@media (min-width: 2380px) {
    .catalog-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
        -ms-grid-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    }
}

@media (min-width: 2500px) {
    .category-block {
        min-height: 420px;
    }
}

/* Max Width Properties */
@media (max-width: 1590px) {
    .catalog-grid {
        grid-template-columns: 1fr 1fr 1fr;
        -ms-grid-columns: 1fr 1fr 1fr;
    }
}

@media(max-width: 1405px) {
    .product-view__secondary-details {
        margin-left: calc(50% + 8px);
    }
}

@media (max-width: 1344px) {
    .container {
        margin: 0 auto;
    }

    .product-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
        -ms-grid-columns: 1fr 1fr 1fr 1fr;
    }

    .col-lg-6 {
        flex-basis: 100% !important;
        max-width: 100% !important;
    }

    .col-lg-4 {
        flex-basis: 48% !important;
        max-width: 50% !important;
    }

    .header-button {
        padding: 0 16px;
    }
}

@media (max-width: 1280px) {
    .toolbar__amount {
        display: none;
    }

    .catalog-grid-item__name {
        font-size: 13px;
    }

    .catalog-list-item__name span {
        font-size: 13px;
    }

    .header-button {
        padding: 0 14px;
    }
}

@media (max-width: 1199px) {
    .catalog-grid {
        grid-template-columns: 1fr 1fr;
        -ms-grid-columns: 1fr 1fr;
    }

    .search-wrapper {
        display: none;
    }

    .top-row.top-menu {
        height: auto;
    }

    .atd-currency-divider {
        display: none;
    }
    /* .top-row-help {
        flex-basis: 5% !important;
        max-width: 5% !important;
    } */

    .top-row-menu {
        flex-basis: 50% !important;
        max-width: 50% !important;
    }

    .top-row-language {
        flex-basis: 33% !important;
        max-width: 33% !important;
    }
}

@media (max-width: 1099px) {

    .product-grid {
        grid-template-columns: 1fr 1fr 1fr;
        -ms-grid-columns: 1fr 1fr 1fr;
    }

    .header-button {
        padding: 0 12px;
    }

    .atd-footer {
        flex-direction: column;
        gap: 7px;
    }

    .footer-infotext {
        margin: 1.5rem 0 2rem;
    }

    .footer-logo {
        margin: 1.5rem 0;
    }
}

@media (max-width: 991px) {
    form#search_mini_form.form.minisearch div.input.search-form__input-wrapper {
        /* margin: 30px 5px 0px 20px; */
        margin: 0.7rem 8%;
    }

    .product-view__action-elements {
        margin-top: 0.5rem;
    }
}

@media (max-width: 941px) {
    .complete-block > .basic-block {
        flex-basis: 100% !important;
        max-width: 100% !important;
    }

    .data-row {
        flex-direction: column !important;
    }

    .pictogram-container {
        margin: 1.5rem 0;
    }
}

@media (max-width: 767px) {
    .catalog-grid {
        grid-template-columns: 1fr 1fr;
        -ms-grid-columns: 1fr 1fr;
    }

    .atd-mainmenu-topbar {
        margin-bottom: 0;
    }

    .header__wrapper {
        padding: 0.3rem 0;
    }

    .sparsh_banner {
        display: none;
    }

    .toolbar-products {
        flex-direction: column;
        align-items: flex-start;
        padding: 0.5rem;
    }

    .toolbar__limiter {
        width: 100%;
        align-self: flex-start;
        justify-content: unset;
        padding-top: 0.3rem;
    }

    .toolbar__limiter-wrapper, .toolbar__sorter-wrapper {
        justify-content: space-between;
        width: 100%;
    }

    .toolbar__sorter-icon-wrapper {
        display: none;
    }

    .toolbar__sorter-wrapper .choices, .toolbar__limiter-wrapper .choices {
        max-width: 55%;
    }

    .complete-block {
        padding: 0 7%;
        margin-top: 0;
    }

    .top-row-menu {
        flex-basis: 64% !important;
        max-width: 64% !important;
    }

    .hidden-md.hidden-lg .row .mobile-menu-row {
        flex-basis: 42% !important;
        max-width: 42% !important;
    }

    .col-md-1 {
        flex-basis: 8% !important;
        max-width:  8% !important;
    }

    .top-row-language {
        flex-basis: 20% !important;
        max-width: 20% !important;
    }

    .atd-mainmenu-topbar {
        justify-content: center;
    }

    .atd-footer {
        margin: 0.5rem 8%;
    }

    .footer-infotext {
        margin: 1.5rem 8% 2rem;
    }

    .product-view__action-elements {
        margin-top: 0.5rem;
    }

    .product-view__sku {
        padding-top: 0;
    }

    .fotorama__stage::after {
        right: 28px !important;
    }

    .product-view__secondary-details {
        margin-left: unset;
    }
}

@media (max-width: 479px) {
    .catalog-grid {
        grid-template-columns: 1fr;
        -ms-grid-columns: 1fr;
    }

    .product-grid {
        grid-template-columns: 1fr;
        -ms-grid-columns: 1fr;
    }

    .top-row-help {
        display: none;
    }

    .top-row {
        display: flex;
        flex-direction: column;
        padding: 0 8%;
        /* justify-content: flex-start; */
    }

    .top-row-menu {
        flex-basis: 100% !important;
        max-width: 100% !important;
    }

    .top-row-language {
        flex-basis: 100% !important;
        max-width: 100% !important;
    }

    .row.atd-langeuage-box {
        float: left !important;
        margin-top: 0;
    }

    #switcher-currency.switcher.currency.switcher-currency {
        margin-bottom: 2px;
    }
}
